import React from 'react';
import { ComponentProps } from './components/common';
interface Props extends ComponentProps {
    iconType?: string;
    icon?: string;
    spin?: boolean;
    bs?: boolean;
    onClick?: (event: React.MouseEvent) => void;
}
interface State {
    icon: string;
}
export declare class Icon extends React.PureComponent<Props, State> {
    static defaultProps: {
        iconType: string;
        icon: string;
    };
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    setIcon(icon: string): void;
    getClasses(): string;
    getBsClasses(): string;
    render(): JSX.Element;
}
export default Icon;
//# sourceMappingURL=Icon.d.ts.map